# gio.EmblemedIcon

Icon with emblems.

## Synopsis

gio.EmblemedIcon
gobject.GObject
gio.Icon
gio.EmblemedIcon
icon
emblem
add_emblem
emblem
get_icon

## Ancestry

    +-- gobject.GObject
      +-- gio.EmblemedIcon

## Implemented Interfaces

`gio.EmblemedIcon` implements `gio.Icon`

## Description

The `gio.EmblemedIcon` class is an implementation of `gio.Icon` that supports adding an emblem to an icon. Adding multiple emblems to an icon is ensured via `gio.EmblemedIcon.add_emblem`().

Note that `gio.EmblemedIcon` allows no control over the position of the emblems. See also `gio.Emblem` for more information.

## Constructor

                gio.EmblemedIcon
                icon
                emblem

`icon` :

  a `gio.Icon`.

`emblem` :

  a `gio.Emblem`.

Returns :

  a new `gio.Icon`.

Creates a new `gio.Icon` for icon with the emblem emblem.

## Methods

### gio.EmblemedIcon.add_emblem

                    add_emblem
                    emblem

`emblem` :

  a `gio.Emblem`

The `add_emblem`() method adds emblem to the list of `gio.Emblem`s.

### gio.EmblemedIcon.get_icon

                    get_icon

Returns :

  a `gio.Icon` that is owned by emblemed.

The `get_icon`() method gets the main icon for emblemed.